libzypp 17.37.10

function_traits.h File Reference
`#include <cstddef>`
`#include <tuple>`
`#include <zypp-core/zyppng/meta/TypeTraits>`

Go to the source code of this file.

## Classes
struct | zyppng::function_traits< R(Args...)>
struct | zyppng::function_traits< R(Args...)>::argument< N >
struct | zyppng::function_traits< R(*)(Args...)>
struct | zyppng::function_traits< R(&)(Args...)>
struct | zyppng::function_traits< R(C::*)(Args...)>
struct | zyppng::function_traits< R(C::*)(Args...) const >
struct | zyppng::function_traits< R(C::*)>
struct | zyppng::function_traits< F, std::void_t< decltype(&F::operator())> >

## Namespaces
namespace | zyppng

## Typedefs
template<typename T>
using | zyppng::has_call_operator = decltype (&T::operator())